Bug 137673 - alsa mixer settings not restored on login
Summary: alsa mixer settings not restored on login
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-30 14:07 UTC by Bernhard P. Waldscheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 15:27:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bernhard P. Waldscheck 2004-10-30 14:07:06 UTC
Description of problem:

Alsa settings are carried out via alsamixer in terminal or via volume
control application in Gnome or via kmix in KDE.
When closing the session and rebooting or just logging out and logging
in again, the settings are gone. Sound settings have again to be
readjusted to get sound back to work.

Version-Release number of selected component (if applicable):
Fedora Core 3 release candidate build Oct. 28, 2004

How reproducible:
Change sound settings, logout and re-login. Sound settings are gone
and have to be readjusted to get sound back to work.

Steps to Reproduce:
1. log on to either Gnome or KDE.
2. Use alsamixer (terminal), Volume Control (Gnome) or kmix (KDE)
   to adjust sound settings.
3. log off 
4. re-login
5. check sound settings in alsamixer, Volume Control or kmix.
   Previously changed settings are not available. Only standard 
   settings which result in no sound.
  
Actual results:
Sound settings are not restored to changed parameters.

Expected results:
Sound settings restored to previously made settings.

Additional info:

Comment 1 Bill Nottingham 2004-10-31 04:36:21 UTC
If it's happening on logout/login, it's a GNOME and/or KDE bug.
Assigning to one of them.

Comment 2 Ray Strode [halfline] 2005-08-31 15:27:27 UTC
I believe what happened is you saved your session with the volume all the way
down.  If you adjust your volume to the correct level and then again save your
session it should be restored on log out.


Note You need to log in before you can comment on or make changes to this bug.